curl --request GET \
--url https://api.tilta.io/v1/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"limit": 100,
"offset": 0,
"total": 140,
"items": [
{
"external_id": "<string>",
"status": "DRAFT",
"buyer_external_id": "<string>",
"created_at": 1582896122,
"updated_at": 1582896122,
"merchant_external_id": "<string>",
"ordered_at": 123,
"payment_method": "TRANSFER",
"payment_term": "DEFER_30D",
"amount": {
"net": 2,
"gross": 2,
"currency": "EUR",
"tax": 1
},
"buyer": {
"legal_name": "<string>"
},
"comment": "For Daniel without tomatoes",
"delivery_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"custom_data": {},
"line_items": [
{
"name": "<string>",
"category": "<string>",
"price": 123,
"currency": "EUR",
"quantity": 2,
"description": "<string>"
}
],
"contact_email": "john.doe@example.com"
}
]
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}List orders
Retrieve a paginated list of all orders associated with your platform. Use limit and offset parameters to page through large result sets.
limit and navigate through pages by incrementing offset. Use this endpoint for administrative dashboards, reconciliation tasks, or bulk exports where you need to enumerate orders across all buyers and merchants.
offset by limit on each request until the number of returned items is
less than limit, or until offset exceeds total.Authorizations
Your Tilta API key, sent as Bearer <key>.
Query Parameters
The number of records to be taken.
x <= 100100
The number of records to be skipped.
0
Order's IDs to filter in orders.
"order_123,order_456"
Buyer's IDs to filter in orders.
"buyer_123,buyer_456"
Merchant's IDs to filter in orders.
"merchant_123,merchant_456"
Order statuses to filter in orders.
Created at range filter (unix timestamps in seconds). Format: "gte..lte" where each bound is optional (e.g. "1580515200..1583020800" or "1580515200..").
"1580515200..1583020800"
Ordered at range filter (unix timestamps in seconds). Format: "gte..lte" where each bound is optional (e.g. "1580515200..1583020800").
"1580515200..1583020800"
Gross amount to filter in orders.
"1000"
Currency to filter in orders.
"EUR,GBP"
Sort orders by provided field in ascending or descending order. Prefix field with - for descending order. Example: sort_by=-created_at
Order sub-entities to expand in the response object. Currently supported: buyer (more coming soon).
buyer ["buyer"]
Filter by a Custom Data field. Replace field in custom_data[field] with the field name. Bare values are strings; JSON numbers, booleans, quoted strings, and arrays preserve their JSON types. A scalar also matches an element of a stored array; an array matches a stored array containing all supplied values.
Response
A list of orders.